var widget = window.widget;
var SessionsConn;
var request;
var useragent;
var IMEI;

function getIMEI(){  
    var systemServiceObj = null;   
     
        systemServiceObj = device.getServiceObject("Service.SysInfo", "ISysInfo");    	

        // Initialize the criteria for the service object and obtain the    
        // information    
        var criteria = new Object();    
        criteria.Entity = "Device";    
        criteria.Key = "IMEI";    
     
        var result = systemServiceObj.ISysInfo.GetInfo(criteria);    
         
        return result.ReturnValue.StringData;    
    }

//########################################################### CREATE SESSION  ############################################################################

function handleSessionData() {
	  
	   if(SessionsConn.readyState == 4) {
	   	      	   
	   	   if(SessionsConn.status==200) {
	   	      
		         var xml = SessionsConn.responseXML;
		         gSession = xml.getElementsByTagName("resultString")[0].firstChild.nodeValue;
		         
		         widget.setDisplayPortrait();
		         widgetinit();
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   //document.getElementById("loader").style.display = 'block';
	   }
	}

function createSession() {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		SessionsConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		SessionsConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (SessionsConn!=null) //check for connectivity
	{
		IMEI = getIMEI()
		useragent = navigator.userAgent

		localUrl = SessionsUrl + 'createSession?AppID=' + AppID + '&MSISDN=&IPAddress=&User_Agent=' + useragent + '&IMEI=' + IMEI + '&UUID=';
			
		SessionsConn.onreadystatechange = function() {
			if(SessionsConn.readyState == 4) {
				handleSessionData();
			}
			else {
				//document.getElementById("loader").style.display = 'block';
			}
		};
		SessionsConn.open("GET", localUrl, true);
		SessionsConn.send(null);
	}
	else
	{
    //alert("You have no Data Connection");
	}
	//alert(SessionsConn);
	return true;

}

//#####################################################################################################################################################

//########################################################### LOG CHECKPOINT  ############################################################################

function handleCheckPointData() {
	  
	   if(SessionsConn.readyState == 4) {
	   	      	   
	   	   if(SessionsConn.status==200) {
	   	      
		         var xml = SessionsConn.responseXML;
		         var Session = xml.getElementsByTagName("SessionID")[0].firstChild.nodeValue;
		         
		         return Session;
		         
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	       }       
	   }
	   else {
	       //no connection
		   //document.getElementById("loader").style.display = 'block';
	   }
	}

function LogCheckPoint(SessionID, checkpointID) {
    var localUrl;
    var Session;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		SessionsConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		SessionsConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (SessionsConn!=null) //check for connectivity
	{
	                 
		localUrl = SessionsUrl + 'CheckPointReached?sessionId='+ SessionID + '&checkpointID=' + checkpointID;
			
		SessionsConn.onreadystatechange = function() {
			if(SessionsConn.readyState == 4) {
				Session = handleCheckPointData();
				gSession = Session
                 
			}
			else {
				//document.getElementById("loader").style.display = 'block';
			}
		};
		SessionsConn.open("GET", localUrl, true);
		SessionsConn.send(null);
	}
	else
	{

	}
    
	return true;
    
}

//#####################################################################################################################################################